%define oname pyinotify

Summary:	Python module for monitoring filesystems changes
Name:		python-%{oname}
Version:	0.9.4
Release:	3
License:	MIT
Group:		Development/Python
Url:		http://github.com/seb-m/pyinotify
Source0:	http://seb.dbzteam.org/pub/pyinotify/releases/pyinotify-%{version}.tar.gz
BuildArch:	noarch
Provides:	%{oname} = %{version}-%{release}
BuildRequires:	epydoc
BuildRequires:	python-devel
BuildRequires:	python3-devel
# pyinotify can use psyco to speed things up, unfortunaltely,
# psyco does not work under x86_64
#Suggests:	python-psyco

%description
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%package -n python3-pyinotify-%{version}
Summary:	Python module for monitoring filesystems changes
Group:		Development/Python

%description -n python3-pyinotify-%{version}
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%prep
%setup -q -n %{oname}-%{version}
rm -rf %{py3dir}
cp -a . %{_builddir}/python3-pyinotify-%{version}

%build
python setup.py build
pushd %{_builddir}/python3-pyinotify-%{version}
    CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{_builddir}/python3-pyinotify-%{version}
    %{__python3} setup.py install --skip-build --root %{buildroot}
popd
python setup.py install --root=%{buildroot}

%files
%doc README* ACKS COPYING
%{py_puresitedir}/*

%files -n python3-pyinotify-%{version}
%doc README* ACKS COPYING
%{py3_puresitedir}/*

%changelog
* Tue Sep 02 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.9.4-3
+ Revision: c545bd7
- Bump release


